tm(3)

NAME
tm -

SYNOPSIS

  Data Fields
int8_t tm_sec
int8_t tm_min
int8_t tm_hour
int8_t tm_mday
int8_t tm_wday
int8_t tm_mon
int16_t tm_year
int16_t tm_yday
int16_t tm_isdst

Detailed Description

The tm structure contains a representation of time 'broken down' into components of the Gregorian calendar.

The value of tm_isdst is zero if Daylight Saving Time is not in effect, and is negative if the information is not available.

When Daylight Saving Time is in effect, the value represents the number of seconds the clock is advanced.

See the set_dst() function for more information about Daylight Saving.

Field Documentation

  int8_t tm::tm_hour
hours since midnight - [ 0 to 23 ]

  int16_t tm::tm_isdst
Daylight Saving Time flag

  int8_t tm::tm_mday
day of the month - [ 1 to 31 ]

  int8_t tm::tm_min
minutes after the hour - [ 0 to 59 ]

  int8_t tm::tm_mon
months since January - [ 0 to 11 ]

  int8_t tm::tm_sec
seconds after the minute - [ 0 to 59 ]

  int8_t tm::tm_wday
days since Sunday - [ 0 to 6 ]

  int16_t tm::tm_yday
days since January 1 - [ 0 to 365 ]

  int16_t tm::tm_year
years since 1900

Author

Generated automatically by Doxygen for avr-libc from the source code.